import java.util.Objects;

public class Actor {
	private String name;
	
	public Actor(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return getName();
	}
	
	@Override
	public boolean equals(Object obj) {
		if(this == obj)
			return true;
		if(obj == null || getClass() != obj.getClass())
			return false;
		Actor actor = (Actor) obj;
		return actor.getName().equals(getName());
	}
	
    @Override
    public int hashCode() {
        return Objects.hash(name);
    }
    	
}
